UPDATE-CATALOG(8)

NAME
update-catalog - create or update entry in SGML catalog file

SYNOPSIS
update-catalog [options] --add centralized_catalog ordinary_catalog

update-catalog [options] --remove centralized_catalog ordinary_catalog

update-catalog [options] --update-super

DESCRIPTION

update-catalog inserts, updates or removes entries in the SGML centralized catalogs located in /etc/sgml. To change the SGML super catalog located in /etc/sgml/catalog modify the directory contents of /etc/sgml to contain new files or symbolic links having a .cat extension or remove (or move) existing centralized catalogs and regenerate the super catalog using the --update-super option. See section SUPER CATALOG for details on the generation process.

OPTIONS

--add
    Adds an entry for the ordinary_catalog in the centralized_catalog.

--remove
    Removes the entry for the ordinary_catalog from the centralized_catalog.

--update-super
    Regenerates the SGML super catalog from the contents of the /etc/sgml directory. See section SUPER CATALOG for details on the super catalog generation.

--quiet
    Prevents the usual diagnostic output.

--test
    Prevents the update of the catalog and writes the resulting SGML catalog to standard output.

--version
    Displays the version information and exits.

--help
    Display the usage information and exits.

SUPER CATALOG
The super-catalog located in /etc/sgml/catalog cannot be directly modified. It is generated by the update-catalog --update-super command. The generation considers files in the /etc/sgml directory that have a .cat extension. For instance files ending in .old or .disabled are not considered. Before adding a catalog to the super catalog it is parsed and verified in order to not corrupt the super catalog. All referenced catalogs are verified to actually exist. If the check fails, a message is printed and the complete catalog is ignored. This check ensures that a catalog from a package, which is removed but not purged, is removed from the super catalog.

AUTHOR
Ardo van Rangelrooij <ardo@debian.org>

COPYRIGHT
Copyright © 2001-2004 Ardo van Rangelrooij Copyright © 2012 Helmut Grohne This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.